#!/bin/bash

THETA_MIN=1
THETA_MAX=120
THETA_E=0.01

for FILE in $( ls ./temp ); do
    F=./output/theta.$FILE
    echo -n "" > $F
    for i in $( seq $THETA_MIN $THETA_MAX ); do
	theta=$( echo "$i * $THETA_E" | bc -l | sed -e "s/^\./0\./g" );
	echo -ne "$theta\t" >> $F
	cat ./temp/$FILE | lraam_stat -T $theta -E | grep "(" | wc -l >> $F
    done
done
