#!/bin/bash

##
## prepares train set for systematicity.level2 experiment - word "girl"
##
## last change: 21.4.2006
## by Michal Pokorny
##


## total number of snts in trainset
N=150


## only girl
cat allsnt | grep -E " girl " > tmp.girl.all

## girl only as AGENTS
cat tmp.girl.all | grep -v " girl )" > tmp.girl.train

## fill trainset with other snts
cat allsnt | grep -v -E "girl" > tmp.allsnt.girl
G=$( cat tmp.girl.train | wc -l | sed -e "s/ //g" )
R=$(( $N - $G ))

## first dataset
echo $N > trainset.girl.1
./gen.rest.sh tmp.allsnt.girl $R | cat tmp.girl.train - >> trainset.girl.1

## second dataset
echo $N > trainset.girl.2
./gen.rest.sh tmp.allsnt.girl $R | cat tmp.girl.train - >> trainset.girl.2

## third dataset
echo $N > trainset.girl.3
./gen.rest.sh tmp.allsnt.girl $R | cat tmp.girl.train - >> trainset.girl.3

## clean up
rm tmp*