#!/bin/bash

################################################################################
##                                                                             #
## save results in form acceptable for gnuplot                                 #
## loads params from params.sh                                                 #
##                                                                             #
## by Michal Pokorny, mar 2006                                                 #
##                                                                             #
################################################################################


## load params
. ./params.sh

## get results
for RUN in 1 2 3; do
    ./stats.theta.sh $RUN > $OUTPUT_DIR/theta.$RUN.dat
    ./stats.ex1.sh $RUN
done