#!/bin/bash

################################################################################
## parameters for enc.sh script that provides simulations                      #
################################################################################


## first part of prefix for output files
## whole prefix will be of form $SIMULATION.$RUN_ID
SIMULATION="enc.neutral"

## where to store temporary information and results
TEMP_DIR="./temp"
STORE_DIR="./.runs"
OUTPUT_DIR="./output"

## where to write log with used params
LOG_FILE="README"

## how many simulations will be run with these params
NOEX=7

## parameters for simulation
ETA=0.001
THETA=0.60
ITER_COUNT=10000
ITER_STEP=100
PRECISION=3
WEIGHT_BOUNDS=0.1

## data for simulation
TERMSET="termset1"
DATASET="dataset1"