#!/bin/bash

##
## prepares train sets for systematicity.level2 experiment
##
## last change: 19.4.2006
## by Michal Pokorny
##

RUN=$1
file="dataset.snt.300"
words1="John Steve"	## no verbs here !!!
word2="girl"		## no verbs here !!!
word3="dogs"		## no verbs here !!!

## number of snts in trainset
N=150

## all sentences available for training set
cat $file | grep -v "[0-9]" > tmp.all


## case 1: John Steve
echo -n "" > tmp.train.1
echo -n "" > tmp.test.1
cp tmp.all tmp.rest
for WORD in $words1; do
    cat tmp.all | grep " $WORD " | grep -v " $WORD )" >> tmp.train.1
    cp tmp.train.1 huhu.$WORD
    cat tmp.train.1 | wc -l
    cat tmp.rest | grep -v " $WORD " > tmp.tmp
    mv tmp.tmp tmp.rest
done
s1=$( cat tmp.rest | wc -l | sed -e "s/ //g" )
r1=$(( $N - $( cat tmp.train.1 | wc -l ) ))
echo $RANDOM > tmp.o.1
for i in $( seq 2 $s1 ); do
    echo $RANDOM >> tmp.o.1
done
abut tmp.o.1 tmp.rest | sort -n | sed -e "s/^[0-9]*\t//g" | sed -e "s/\t$//g" | sed -n "1,$r1 p" > tmp.tmp
mv tmp.tmp tmp.rest

echo $N | cat - tmp.train.1 tmp.rest > trainset.$RUN


## case 2: girl
#WORD=$word2
#cat tmp.all | grep " $WORD " | grep -v "( $WORD " | grep -v " $WORD )" > tmp.2
#s2=$(( $N - $( cat tmp.2 | wc -l | sed -e "s/ //g") ))


## case 3: dogs
#WORD=$word3
#cat tmp.all | grep " $WORD " | grep -v "( $WORD " | grep -v " $WORD )" > tmp.3
#s3=$(( $N - $( cat tmp.3 | wc -l | sed -e "s/ //g") ))


#cat tmp | grep -v " $word " > tmp.without.$word	## sentences without $word
#cat tmp | grep " $word " > tmp.$word		## sentences with $word
#cat tmp.$word | grep -v " $word )" > tmp.SUBJ.$word	## with $word but not on OBJECT position
#cat tmp.$word | grep " $word )" > tmp.OBJ.$word		## with $word on SUBJECT position

## train superset
#cat tmp.without.$word tmp.SUBJ.$word > tmp.train
#echo -ne "$word SUBJ:\t"
#cat tmp.SUBJ.$word | wc -l
## test set (or subset, if we will add some another sentences from somewhere)
#cat tmp.OBJ.$word > tmp.test
#echo -ne "$word OBJ:\t"
#cat tmp.OBJ.$word | wc -l

#cat tmp | grep -v "( [^ ]* $word " > tmp1	## 
#cat tmp | grep "( [^ ]* $word " > tmp2	## those with $word on object position

## choose N=150 sentences from those that can be in trainset
#s=$( cat tmp1 | wc -l | sed -e "s/ //g")
#N=150
#echo $RANDOM > tmp3
#for i in $( seq 2 $s ); do
#    echo $RANDOM >> tmp3
#done
#abut tmp3 tmp1 | sort -n | sed -e "s/^[0-9]*\t//g" | sed -n "1,$N p" | sed -e "s/\t$//g" >> tmp.raw


#echo $N | cat - tmp.raw > trainset.$word
#echo $( cat tmp2 | wc -l | sed -e "s/ //g") | cat - tmp2 > testset.$word

#cp trainset.$word ../Enc.neutral/trainset.$word
#cp trainset.$word ../Enc.wcd/trainset.$word
#cp trainset.$word ../Enc.wordnet/trainset.$word
#cp testset.$word ../Enc.neutral/testset.$word
#cp testset.$word ../Enc.wcd/testset.$word
#cp testset.$word ../Enc.wordnet/testset.$word

## clean up
rm tmp*