#!/bin/bash

##
## removes all sentences with given word from original set of snt
##
## last change: 1.4.2006
## by Michal Pokorny
##

file=$1		## source file with translated sentences
word=$2		## word we want to exclude from training

cat $file | grep -v "[0-9]" > tmp

cat tmp | grep -v " $word " > tmp1
cat tmp | grep " $word " > tmp2

## choose N=150 sentences from those that can be in trainset
s=$( cat tmp1 | wc -l | sed -e "s/ //g")
N=150
echo $RANDOM > tmp3
for i in $( seq 2 $s ); do
    echo $RANDOM >> tmp3
done
abut tmp3 tmp1 | sort -n | sed -e "s/^[0-9]*\t//g" | sed -n "1,$N p" | sed -e "s/\t$//g" >> tmp.raw


echo $N | cat - tmp.raw > trainset.$word
echo $( cat tmp2 | wc -l | sed -e "s/ //g") | cat - tmp2 > testset.$word

cp trainset.$word ../Enc.neutral/trainset.$word
cp trainset.$word ../Enc.wcd/trainset.$word
cp trainset.$word ../Enc.wordnet/trainset.$word
cp testset.$word ../Enc.neutral/testset.$word
cp testset.$word ../Enc.wcd/testset.$word
cp testset.$word ../Enc.wordnet/testset.$word

## clean up
rm tmp*