#!/bin/bash

##
## prepend <number of terminals>, append NULL terminal symbol + vector
##
## last change: 27.2.2006
## by Michal Pokorny
##

SOURCE=termset.scaled.wcd.orig
DEST=termset.scaled.wcd
DIM=150
ORIGDIM=100

n=$( cat $SOURCE | wc -l | sed -e "s/ //g" );
let n=n+1	## NULL terminal symbol

## create file with padding
echo > kalerab
for i in $( seq 1 $n ); do
    for j in $( seq 1 $(( $DIM - $ORIGDIM )) ); do
	echo -n "0.000000 " >> kalerab
    done
    echo >> kalerab
done


echo -ne "NULL\t" > tmp
for i in $( seq 1 $ORIGDIM ); do
    echo -n "0.000000 " >> tmp
done

echo $n | cat - $SOURCE tmp > tmp.dest
abut tmp.dest kalerab | sed -e "s/\t/ /g" > $DEST
rm tmp
rm kalerab
